Bug 838960 - vdsm [hotplug]: cannot detach a disk with error Hotunplug disk failed - Disk not found
vdsm [hotplug]: cannot detach a disk with error Hotunplug disk failed - Disk ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity high
: ---
: 3.1.0
Assigned To: Maor
Dafna Ron
storage
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 09:58 EDT by Dafna Ron
Modified: 2016-02-10 11:28 EST (History)
12 users (show)

See Also:
Fixed In Version: SI13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (353.50 KB, application/x-gzip)
2012-07-10 09:58 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-07-10 09:58:31 EDT
Created attachment 597347 [details]
logs

Description of problem:

I tried detaching a disk which was inactive and got the following error in vdsm: 


Thread-750::ERROR::2012-07-10 16:41:28,167::libvirtvm::1509::vm.Vm::(hotunplugDisk) vmId=`a36f5ef0-9d92-4347-bffa-c5defe7cca7d`::Hotunplug disk failed - Disk not found

I can however delete the disk

Version-Release number of selected component (if applicable):

vdsm-4.9.6-17.0.el6.x86_64

How reproducible:

100%

Steps to Reproduce:
1. start a vm with OS selected Win7+virtio disk
2. deactivate the disk when the vm is up
3. try to detach the disk 
  
Actual results:

cannot detach the disk but can only permanently remove it

Expected results:

we should be able to detach the disk

Additional info: vdsm + engine logs
Comment 1 Ayal Baron 2012-07-10 18:32:34 EDT
This is an engine bug.
deactivate perform a (successful) hotunplug.
detach should not try to unplug again.

2012-07-10 16:42:12,504 INFO  [org.ovirt.engine.core.bll.HotUnPlugDiskFromVmCommand] (pool-4-thread-42) [10d62f92] Running command: HotUnPlugDiskFromVmCommand internal: false. Entities affected :  ID: a36f5ef0-9d92-4347-bffa-c5defe7cca7d Type: VM
2012-07-10 16:42:12,505 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HotUnPlugDiskVDSCommand] (pool-4-thread-42) [10d62f92] START, HotUnPlugDiskVDSCommand(vdsId = f8364902-c8fc-11e1-b727-001a4a169741, vmId=a36f5ef0-9d92-4347-bffa-c5defe7cca7d, volumeId = 2ecb2fb6-95bc-4654-b983-603fb8dd38b1), log id: 6e82a51
2012-07-10 16:42:13,149 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HotUnPlugDiskVDSCommand] (pool-4-thread-42) [10d62f92] FINISH, HotUnPlugDiskVDSCommand, log id: 6e82a51
2012-07-10 16:44:50,419 INFO  [org.ovirt.engine.core.bll.DetachDiskFromVmCommand] (pool-4-thread-42) [3abf4841] Running command: DetachDiskFromVmCommand internal: false. Entities affected :  ID: a36f5ef0-9d92-4347-bffa-c5defe7cca7d Type: VM
2012-07-10 16:44:50,420 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HotUnPlugDiskVDSCommand] (pool-4-thread-42) [3abf4841] START, HotUnPlugDiskVDSCommand(vdsId = f8364902-c8fc-11e1-b727-001a4a169741, vmId=a36f5ef0-9d92-4347-bffa-c5defe7cca7d, volumeId = 2ecb2fb6-95bc-4654-b983-603fb8dd38b1), log id: 33ae76ec
2012-07-10 16:44:50,486 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-4-thread-42) [3abf4841] Failed in HotUnPlugDiskVDS method
2012-07-10 16:44:50,486 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-4-thread-42) [3abf4841] Error code FailedToUnPlugDisk and error message VDSGenericException: VDSErrorException: Failed to HotUnPlugDiskVDS, error = Disk not found
2012-07-10 16:44:50,486 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-4-thread-42) [3abf4841] Command org.ovirt.engine.core.vdsbroker.vdsbroker.HotUnPlugDiskVDSCommand return value 
 Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusOnlyReturnForXmlRpc
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         46
mMessage                      Disk not found



Thread-628::DEBUG::2012-07-10 16:38:50,223::BindingXMLRPC::864::vds::(wrapper) client [10.35.97.65]::call vmHotunplugDisk with ({'vmId': 'a36f5ef0-9d92-4347-bffa-c5defe7cca7d', 'drive': {'iface': 'virtio', 'format': 'cow', 'optional': 'false', 'poolID': '455fd41d-5b7e-4eae-b71b-87d29c001c75', 'volumeID': 'bf3a7393-93f3-454b-8838-ec0080e48372', 'imageID': '2ecb2fb6-95bc-4654-b983-603fb8dd38b1', 'readonly': 'false', 'domainID': '131cd780-fec1-4525-a171-bc12fd563cf7', 'address': {'bus': '0x00', ' slot': '0x06', ' domain': '0x0000', ' type': 'pci', ' function': '0x0'}, 'device': 'disk', 'shared': 'false', 'propagateErrors': 'off', 'type': 'disk'}},) {} flowID [10d62f92]

Thread-628::DEBUG::2012-07-10 16:38:50,842::BindingXMLRPC::870::vds::(wrapper) return vmHotunplugDisk with {'status': {'message': 'Done', 'code': 0}, 'vmList': {'status': 'Up', 'acpiEnable': 'true', 'emulatedMachine': 'rhel6.3.0', 'vmId': 'a36f5ef0-9d92-4347-bffa-c5defe7cca7d', 'pid': '26004', 'timeOffset': '0', 'displayPort': u'5900', 'displaySecurePort': u'5901', 'spiceSslCipherSuite': 'DEFAULT', 'cpuType': 'Opteron_G2', 'custom': {'device_f93ec870-1a7c-47bf-8176-9d560c27cebe': 'VmId=a36f5ef0-9d92-4347-bffa-c5defe7cca7d,DeviceId=f93ec870-1a7c-47bf-8176-9d560c27cebe,Device=usb,Type=controller,BootOrder=0,SpecParams={},Address={bus=0x00, domain=0x0000, type=pci, slot=0x01, function=0x2},IsManaged=false,IsPlugged=true,IsReadOnly=false,alias=usb0', 'device_f93ec870-1a7c-47bf-8176-9d560c27cebedevice_7729c38e-cccf-41db-82d8-90bc8e219faadevice_88ed240a-065c-4087-b771-263a408cbefedevice_eff2bdb3-5c6e-4b6e-ab32-9c9df7d10119device_21cd8f2a-5d58-44dd-86cc-77a18e64f1ee': 'VmId=a36f5ef0-9d92-4347-bffa-c5defe7cca7d,DeviceId=21cd8f2a-5d58-44dd-86cc-77a18e64f1ee,Device=spicevmc,Type=channel,BootOrder=0,SpecParams={},Address={port=2, bus=0, controller=0, type=virtio-serial},IsManaged=false,IsPlugged=true,IsReadOnly=false,alias=channel1', 'device_f93ec870-1a7c-47bf-8176-9d560c27cebedevice_7729c38e-cccf-41db-82d8-90bc8e219faadevice_88ed240a-065c-4087-b771-263a408cbefedevice_eff2bdb3-5c6e-4b6e-ab32-9c9df7d10119': 'VmId=a36f5ef0-9d92-4347-bffa-c5defe7cca7d,DeviceId=eff2bdb3-5c6e-4b6e-ab32-9c9df7d10119,Device=unix,Type=channel,BootOrder=0,SpecParams={},Address={port=1, bus=0, controller=0, type=virtio-serial},IsManaged=false,IsPlugged=true,IsReadOnly=false,alias=channel0', 'device_f93ec870-1a7c-47bf-8176-9d560c27cebedevice_7729c38e-cccf-41db-82d8-90bc8e219faa': 'VmId=a36f5ef0-9d92-4347-bffa-c5defe7cca7d,DeviceId=7729c38e-cccf-41db-82d8-90bc8e219faa,Device=ide,Type=controller,BootOrder=0,SpecParams={},Address={bus=0x00, domain=0x0000, type=pci, slot=0x01, function=0x1},IsManaged=false,IsPlugged=true,IsReadOnly=false,alias=ide0', 'device_f93ec870-1a7c-47bf-8176-9d560c27cebedevice_7729c38e-cccf-41db-82d8-90bc8e219faadevice_88ed240a-065c-4087-b771-263a408cbefe': 'VmId=a36f5ef0-9d92-4347-bffa-c5defe7cca7d,DeviceId=88ed240a-065c-4087-b771-263a408cbefe,Device=virtio-serial,Type=controller,BootOrder=0,SpecParams={},Address={bus=0x00, domain=0x0000, type=pci, slot=0x05, function=0x0},IsManaged=false,IsPlugged=true,IsReadOnly=false,alias=virtio-serial0'}, 'pauseCode': 'NOERR', 'clientIp': '', 'nicModel': 'rtl8139,pv', 'keyboardLayout': 'en-us', 'kvmEnable': 'true', 'transparentHugePages': 'true', 'devices': [{'alias': u'sound0', 'specParams': {}, 'deviceId': '9dee2acf-d5d1-47cf-ae17-52cc1849a464', 'address': {u'slot': u'0x04', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'function': u'0x0'}, 'device': 'ich6', 'type': 'sound'}, {'alias': u'usb0', 'specParams': {}, 'deviceId': 'f93ec870-1a7c-47bf-8176-9d560c27cebe', 'address': {u'slot': u'0x01', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'function': u'0x2'}, 'device': 'usb', 'type': 'controller'}, {'alias': u'video0', 'specParams': {'vram': '65536'}, 'deviceId': 'ff065067-b72e-495e-a09e-40553d87d074', 'address': {u'slot': u'0x02', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'function': u'0x0'}, 'device': 'qxl', 'type': 'video'}, {'nicModel': 'pv', 'macAddr': '00:1a:4a:23:61:69', 'network': 'rhevm', 'alias': u'net0', 'specParams': {}, 'deviceId': 'b3366ae9-a6e7-483c-9ae0-0e6faa26e46a', 'address': {u'slot': u'0x03', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'function': u'0x0'}, 'device': 'bridge', 'type': 'interface'}, {'alias': u'balloon0', 'specParams': {'model': 'virtio'}, 'deviceId': '591788d6-b75e-4913-a974-0266af96b5af', 'address': {u'slot': u'0x07', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'function': u'0x0'}, 'device': 'memballoon', 'type': 'balloon'}, {'index': '2', 'iface': 'ide', 'name': u'hdc', 'alias': u'ide0-1-0', 'specParams': {'path': ''}, 'readonly': 'True', 'deviceId': 'ca3b7da3-31b2-47db-b8fa-fbc9720b5cb1', 'address': {u'bus': u'1', u'controller': u'0', u'type': u'drive', u'target': u'0', u'unit': u'0'}, 'device': 'cdrom', 'path': '', 'type': 'disk'}, {'device': u'ide', 'alias': u'ide0', 'type': 'controller', 'address': {u'slot': u'0x01', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'function': u'0x1'}}, {'device': u'virtio-serial', 'alias': u'virtio-serial0', 'type': 'controller', 'address': {u'slot': u'0x05', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'function': u'0x0'}}, {'device': u'unix', 'alias': u'channel0', 'type': u'channel', 'address': {u'bus': u'0', u'controller': u'0', u'type': u'virtio-serial', u'port': u'1'}}, {'device': u'spicevmc', 'alias': u'channel1', 'type': u'channel', 'address': {u'bus': u'0', u'controller': u'0', u'type': u'virtio-serial', u'port': u'2'}}], 'smp': '1', 'vmType': 'kvm', 'memSize': 512, 'displayIp': '0', 'spiceSecureChannels': 'smain,sinputs,scursor,splayback,srecord,sdisplay', 'smpCoresPerSocket': '1', 'vmName': 'Plug', 'display': 'qxl', 'nice': '0'}}

Thread-750::DEBUG::2012-07-10 16:41:28,124::BindingXMLRPC::864::vds::(wrapper) client [10.35.97.65]::call vmHotunplugDisk with ({'vmId': 'a36f5ef0-9d92-4347-bffa-c5defe7cca7d', 'drive': {'iface': 'virtio', 'format': 'cow', 'optional': 'false', 'poolID': '455fd41d-5b7e-4eae-b71b-87d29c001c75', 'volumeID': 'bf3a7393-93f3-454b-8838-ec0080e48372', 'imageID': '2ecb2fb6-95bc-4654-b983-603fb8dd38b1', 'readonly': 'false', 'domainID': '131cd780-fec1-4525-a171-bc12fd563cf7', 'address': {'bus': '0x00', ' slot': '0x06', ' domain': '0x0000', ' type': 'pci', ' function': '0x0'}, 'device': 'disk', 'shared': 'false', 'propagateErrors': 'off', 'type': 'disk'}},) {} flowID [3abf4841]
Comment 3 Maor 2012-07-11 11:02:26 EDT
Proposed solution is at http://gerrit.ovirt.org/#/c/6152/
Comment 5 Maor 2012-07-12 09:13:51 EDT
Merged at commit #9bb0e382f2dd6cd167d36472e62d1900e87f8b2f
Comment 6 vvyazmin@redhat.com 2012-08-09 10:27:13 EDT
Verified on RHEVM 3.1 - SI13.2

RHEVM: rhevm-3.1.0-11.el6ev.noarch
VDSM: vdsm-4.9.6-27.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

Note You need to log in before you can comment on or make changes to this bug.